## beav 1.40-11

=== Makefile ===
# This is the makefile for BSD UNIX
#CFLAGS=     -g -DUNIX
CFLAGS=     -O2 -DUNIX
CC=gcc

OFILES=		basic.o ebcdic.o fileio.o region.o text.o wangpc.o \
	buffer.o echo.o language.o main.o search.o tty.o window.o \
	cinfo.o extend.o kbd.o spawn.o ttyio.o termio.o tcap.o word.o \
	display.o file.o line.o random.o symbol.o ttykbd.o format.o


CFILES=     basic.c ebcdic.c fileio.c region.c text.c wangpc.c \
	buffer.c echo.c language.c main.c search.c tty.c window.c \
	cinfo.c extend.c kbd.c spawn.c ttyio.c termio.c tcap.c word.c \
	display.c file.c line.c random.c symbol.c ttykbd.c

HFILES=     def.h prototyp.h

beav:     $(OFILES)
	$(CC) $(CFLAGS) $(OFILES) -lncurses -o beav

clean:
	rm -f *.o beav

(OFILES):  $(HFILES)

## beav 1.40

=== debian/changelog ===
beav (1:1.40-18.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #1007694).

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 20:55:42 +0100

beav (1:1.40-18.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Use host tools. Closes: #903521

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 12 Apr 2022 08:48:43 -0700

beav (1:1.40-18.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Remove timestamps from the build system. Closes: #777287

  [ Vagrant Cascadian ]
  * debian/rules: Pass -ffile-prefix-map via CFLAGS. Closes: #1006302

  [ Helmut Grohne ]
  * Fix FTCBFS: Use host tools. Closes: #903521

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Tue, 22 Feb 2022 17:00:32 -0800

beav (1:1.40-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #998993)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 00:16:45 +0200

beav (1:1.40-18) unstable; urgency=low

  * Repackaged with the original 1.40 source so that we get a proper diff.gz.
  * defs.h:
    + Removed prototypes for malloc and strcpy/strcat (Closes: #262572).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 Jul 2004 22:42:19 +0200

beav (1:1.40-17) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
  * beav.1:
    + Fixed documentation location (Closes: #210601).
  * Fixed warnings everywhere in the code.
  * main.c:
    + Added a help string to tell the user how to quit (Closes: #171933).
  * file.c:
    + Fixed an overflow in the filename display routine (Closes: #56546).
  * fileio.c:
    + Corrected wrong char signedness assumption that caused backup filenames
      to be mangled (Closes: #46376).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Jul 2004 11:36:18 +0200

beav (1:1.40-16) unstable; urgency=low

  * New maintainer (Closes: #227774).
  * debian/control:
    + Set policy to 3.6.1.0.
    + Removed caps in the short description.
  * debian/copyright:
    + Added the GPL blurb to the copyright file.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jan 2004 13:22:17 +0100

beav (1:1.40-15) unstable; urgency=low

  * Include patch from James A Morrison for Hurd support.
  * Update to standards version 3.5.5.

 -- Martin Mitchell <martin@debian.org>  Sat, 21 Jul 2001 23:37:20 +1000

beav (1:1.40-14) unstable; urgency=low

  * Update to standards version 3.5.2. (closes: #91113, #91385)
  * Add build depends. (closes: #70223)

 -- Martin Mitchell <martin@debian.org>  Tue, 27 Mar 2001 00:18:25 +1000

beav (1:1.40-13) unstable; urgency=low

  * Update to standards version 2.4.1.
  * Recompile for ncurses4.

 -- Martin Mitchell <martin@debian.org>  Sun, 11 Oct 1998 01:27:50 +1000

beav (1:1.40-12) unstable; urgency=low

  * Fix missing separator in debian/rules. (#25766)

 -- Martin Mitchell <martin@debian.org>  Sat, 29 Aug 1998 18:27:04 +1000

beav (1:1.40-11) unstable; urgency=low

  * Include patch for 32 bit float handling. (#5043)
    (Thanks Randy Gobbel)

 -- Martin Mitchell <martin@debian.org>  Sat, 13 Dec 1997 19:37:23 +1100

beav (1:1.40-10) unstable; urgency=low

  * Edit control file description to conform with policy. (#3558)

 -- Martin Mitchell <martin@debian.org>  Wed,  3 Dec 1997 01:15:55 +1100

beav (1:1.40-9) unstable; urgency=low

  * New maintainer.
  * Strip beav binary.

 -- Martin Mitchell <martin@debian.org>  Wed, 26 Nov 1997 16:56:02 +1100

beav (1:1.40-8.1) unstable; urgency=low

  * Non-maintainer release.
  * Use epoch in version.

 -- Martin Mitchell <martin@debian.org>  Tue,  4 Nov 1997 01:55:32 +1100

beav (1.40-7.1) unstable; urgency=low
  
  * Non-maintainer release.
  * Libc6 compile.
  * Update from pre 2.0.0.0 standards.
  
 -- Martin Mitchell <martin@debian.org>  Thu, 30 Oct 1997 15:05:31 +1100

Modifications to the beav140- package for debian linux

Changes by Bill Mitchell <mitchell@mdd.comm.mot.com>

1.  Added debian.* files.
2.  Added Makefile
    (It's makefile.bsd with -DBSD removed and some flags changed)
3.  Added beav.1

Changes for beav-140-2

1.  Changed debian.rules to Ian Murdock format.
    Made related changes in debian.control.

2.  Added some bolding of beav commands in beav.1.

3.  Added beav.1

Changes for beav-140-3

1.  Cleaned up control file description and extended description.

Changes for beav-140-4

Priority:  Routine
Changes:  Administrative changes
 Changed beav.1 file mode from 755 to 644
 Added "SECTION: editors" to control file

Changes for beav-140-5
	elf package
	*  rebuilt for elf

Changes for beav-140-6
	elf package
	* rebuilt using ncurses shared lib
	* changed ncurses-runtime dependency to ncurses3.0

Changes for beav-140-7
	elf package
	* source package multi-architecture compatability changes

Local variables:
mode:	debian-changelog
End:

=== debian/control ===
Source: beav
Section: editors
Priority: optional
Build-Depends: libncurses-dev
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Standards-Version: 3.6.1.1

Package: beav
Architecture: any
Depends: ${shlibs:Depends}
Description: binary editor and viewer
 beav (Binary Editor And Viewer) is an editor for binary files containing
 arbitrary data. Text file editors, on the other hand, expect the files they
 edit to contain textual data, and/or to be formatted in a certain way (e.g.
 lines of printable characters delimited by newline characters).
 .
 With beav, you can edit a file in HEX, ASCII, EBCDIC, OCTAL, DECIMAL, and
 BINARY. You can display but not edit data in FLOAT mode. You can search or
 search and replace in any of these modes. Data can be displayed in BYTE,
 WORD, or DOUBLE WORD formats. While displaying WORDS or DOUBLE WORDS the
 data can be displayed in INTEL's or MOTOROLA's byte ordering. Data of any
 length can be inserted at any point in the file. The source of this data
 can be the keyboard, another buffer, or a file. Any data that is being
 displayed can be sent to a printer in the displayed format. Files that are
 bigger than memory can be handled.

=== debian/rules ===
#! /usr/bin/make -f
#
# Debian rules extensively rewritten by Martin Mitchell <martin@debian.org>

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk

CFLAGS = -O2 -g -Wall -DUNIX -DNOPROTO -ffile-prefix-map=$(CURDIR)=.
LDFLAGS = -s
STRIP=$(DEB_HOST_GNU_TYPE)-strip --strip-unneeded --remove-section=.note --remove-section=.comment

build:
# Builds the binary package.
	make CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch build

clean:
# Undoes the effect of `make -f debian/rules build'.
	rm -f build
	rm -rf debian/tmp debian/substvars debian/files debian/*~
	rm -f *.o beav core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	test -f build || make -f debian.rules build
	rm -rf debian/tmp
	install -d -g root -m 755 -o root debian/tmp/usr/share/doc/beav debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/share/man/man1
	install -g root -m 755 -o root beav debian/tmp/usr/bin/beav
	$(STRIP) debian/tmp/usr/bin/beav
	install -g root -m 644 -o root beav.1 debian/tmp/usr/share/man/man1/beav.1
	gzip -9vn debian/tmp/usr/share/man/man1/*
	cp debian/changelog debian/tmp/usr/share/doc/beav/changelog.Debian
	cp beav140.txt debian/tmp/usr/share/doc/beav
	gzip -9vn debian/tmp/usr/share/doc/beav/*
	cp debian/copyright debian/tmp/usr/share/doc/beav
	dpkg-shlibdeps debian/tmp/usr/bin/beav
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

build-arch: build
build-indep: build
.PHONY: build build-arch build-indep binary binary-arch binary-indep clean checkroot

## beav 1.40-11

=== debian/control ===
Source: beav
Section: editors
Priority: optional
Maintainer: Martin Mitchell <martin@debian.org>
Standards-Version: 2.3.0.1

Package: beav
Architecture: any
Depends: ${shlibs:Depends}
Description: Binary Editor And Viewer (beav)
 beav is an editor for binary files containing arbitrary
 data. Text file editors, on the other hand, expect the
 files they edit to contain textual data, and/or to be
 formatted in a certain way (e.g. lines of printable
 characters delimited by newline characters).
 .
 With beav, you can edit a file in HEX, ASCII, EBCDIC,
 OCTAL, DECIMAL, and BINARY. You can display but not edit
 data in FLOAT mode. You can search or search and replace
 in any of these modes. Data can be displayed in BYTE,
 WORD, or DOUBLE WORD formats. While displaying WORDS
 or DOUBLE WORDS the data can be displayed in INTEL's or
 MOTOROLA's byte ordering. Data of any length can be
 inserted at any point in the file. The source of this
 data can be the keyboard, another buffer, or a file.
 Any data that is being displayed can be sent to a printer
 in the displayed format. Files that are bigger than
 memory can be handled.

=== debian/rules ===
#! /usr/bin/make -f
#
# Debian rules extensively rewritten by Martin Mitchell <martin@debian.org>

CFLAGS = -O2 -g -DUNIX -DNOPROTO
LDFLAGS = -s
ARCH = $(shell dpkg --print-architecture)
STRIP=strip

build:
# Builds the binary package.
	make CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch build

clean:
# Undoes the effect of `make -f debian/rules build'.
	rm -f build
	rm -rf debian/tmp debian/substvars debian/files debian/*~
	rm -f *.o beav core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	test -f build || make -f debian.rules build
	rm -rf debian/tmp
	install -d -g root -m 755 -o root debian/tmp/usr/doc/beav debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/man/man1
	install -g root -m 755 -o root beav debian/tmp/usr/bin/beav
	$(STRIP) debian/tmp/usr/bin/beav
	install -g root -m 644 -o root beav.1 debian/tmp/usr/man/man1/beav.1
	gzip -9v debian/tmp/usr/man/man1/*
	cp debian/changelog debian/tmp/usr/doc/beav/changelog.Debian
	cp beav140.txt debian/tmp/usr/doc/beav
	gzip -9v debian/tmp/usr/doc/beav/*
	cp debian/copyright debian/tmp/usr/doc/beav
	dpkg-shlibdeps debian/tmp/usr/bin/beav
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

checkroot:
        $(checkdir)
        test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## beav 1.40-13

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: editors
 Priority: optional
 Maintainer: Martin Mitchell <martin@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 2.4.1
 
 Package: beav
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 CFLAGS = -O2 -g -DUNIX -DNOPROTO
 LDFLAGS = -s
-ARCH = $(shell dpkg --print-architecture)
+ARCH = $(shell dpkg --print-installation-architecture)
 STRIP=strip
 
 build:
@@ -45,7 +45,7 @@
 binary: binary-indep binary-arch
 
 checkroot:
-        $(checkdir)
-        test root = "`whoami`"
+	$(checkdir)
+	test root = "`whoami`"
 
 .PHONY: binary binary-arch binary-indep clean checkroot

## beav 1.40-15

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: beav
 Section: editors
 Priority: optional
+Build-Depends: libncurses-dev
 Maintainer: Martin Mitchell <martin@debian.org>
-Standards-Version: 2.4.1
+Standards-Version: 3.5.5
 
 Package: beav
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS = -O2 -g -DUNIX -DNOPROTO
 LDFLAGS = -s
 ARCH = $(shell dpkg --print-installation-architecture)
-STRIP=strip
+STRIP=strip --strip-unneeded --remove-section=.note --remove-section=.comment
 
 build:
 # Builds the binary package.
@@ -27,17 +27,17 @@
 binary-arch:	checkroot build
 	test -f build || make -f debian.rules build
 	rm -rf debian/tmp
-	install -d -g root -m 755 -o root debian/tmp/usr/doc/beav debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/man/man1
+	install -d -g root -m 755 -o root debian/tmp/usr/share/doc/beav debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/share/man/man1
 	install -g root -m 755 -o root beav debian/tmp/usr/bin/beav
 	$(STRIP) debian/tmp/usr/bin/beav
-	install -g root -m 644 -o root beav.1 debian/tmp/usr/man/man1/beav.1
-	gzip -9v debian/tmp/usr/man/man1/*
-	cp debian/changelog debian/tmp/usr/doc/beav/changelog.Debian
-	cp beav140.txt debian/tmp/usr/doc/beav
-	gzip -9v debian/tmp/usr/doc/beav/*
-	cp debian/copyright debian/tmp/usr/doc/beav
+	install -g root -m 644 -o root beav.1 debian/tmp/usr/share/man/man1/beav.1
+	gzip -9v debian/tmp/usr/share/man/man1/*
+	cp debian/changelog debian/tmp/usr/share/doc/beav/changelog.Debian
+	cp beav140.txt debian/tmp/usr/share/doc/beav
+	gzip -9v debian/tmp/usr/share/doc/beav/*
+	cp debian/copyright debian/tmp/usr/share/doc/beav
 	dpkg-shlibdeps debian/tmp/usr/bin/beav
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..

## beav 1.40-16

=== debian/control ===
Source: beav
Section: editors
Priority: optional
Build-Depends: libncurses-dev
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Standards-Version: 3.6.1.0

Package: beav
Architecture: any
Depends: ${shlibs:Depends}
Description: binary editor and viewer
 beav (Binary Editor And Viewer) is an editor for binary files containing
 arbitrary data. Text file editors, on the other hand, expect the files they
 edit to contain textual data, and/or to be formatted in a certain way (e.g.
 lines of printable characters delimited by newline characters).
 .
 With beav, you can edit a file in HEX, ASCII, EBCDIC, OCTAL, DECIMAL, and
 BINARY. You can display but not edit data in FLOAT mode. You can search or
 search and replace in any of these modes. Data can be displayed in BYTE,
 WORD, or DOUBLE WORD formats. While displaying WORDS or DOUBLE WORDS the
 data can be displayed in INTEL's or MOTOROLA's byte ordering. Data of any
 length can be inserted at any point in the file. The source of this data
 can be the keyboard, another buffer, or a file. Any data that is being
 displayed can be sent to a printer in the displayed format. Files that are
 bigger than memory can be handled.
